summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2019-12-07 15:56:22 +0200
committerLars Wirzenius <liw@liw.fi>2019-12-07 17:47:21 +0200
commit78fb856a754f79b601194cabe52bfe37feeaffaf (patch)
tree49748e25814a28f1b073140e26c6008eb22c7bbb
parent9d4ca3e766f1804249f9744f1f526719cbc8d892 (diff)
downloadvmdb2-78fb856a754f79b601194cabe52bfe37feeaffaf.tar.gz
Add: script to try building all (most) sample vmdb filex
-rwxr-xr-xcheck-all29
1 files changed, 29 insertions, 0 deletions
diff --git a/check-all b/check-all
new file mode 100755
index 0000000..b8d2f17
--- /dev/null
+++ b/check-all
@@ -0,0 +1,29 @@
+#!/bin/sh
+
+set -eu
+
+tarball="$1"
+
+tryit()
+{
+ local image="$1"
+ local yaml="$2"
+ echo "Testing $image"
+ ./vmdb2 --rootfs-tarball "$tarball" \
+ --verbose \
+ --log check.log \
+ --output "$image" \
+ "$yaml"
+ echo
+}
+
+
+#tryit simple.img simple.vmdb
+#tryit luks.img luks.vmdb
+#tryit lvm2.img lvm2.vmdb
+
+tryit pc.img pc.vmdb
+tryit uefi.img uefi.vmdb
+tryit ansible.img ansible.vmdb
+tryit smoke-pc.img smoke-pc.vmdb
+tryit smoke-uefi.img smoke-uefi.vmdb